/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.common.rule;

/**
 * Initial javadoc for class ConsistencyCheckInput.
 * TODO - Add content here
 * 
 * Created Aug 8, 2006 1:48:18 PM
 * @author DNS   BOHMEG
 */
public interface ConsistencyCheckInput extends BaseInput {
	public boolean isMessageTypeEqual(String messageTypeCode);
	public String getMessageTypeCode();
	public Integer getTriggerEventIncomeYear();
	public boolean isTriggerEventDataTypeEqualTo(String personTriggerIdentityDataTypeCode);
	public String getZ04InsuranceCompanyName();
	public String getZ04InsuranceGroupNumber();
	public String getZ04InsuranceRelationshipToPatient();
	public String getZ04NameOfInsured();
	public String getZ06MeansTestDate();
	public String getZ06DateVeteranSignedMeansTest();
}
